Skip to content

Disconnect social account

POST
/api/v1/gen_agents/disconnect_phone

Disconnect a social account from an agent.

Errors:
- 404: No social account connected.
- 422: Failed to disconnect social account.
DisconnectSocialAccountRequest
object
agent_id
required
Agent Id

ID of the agent to disconnect

string

Successful Response

Bad Request

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

No social account connected

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "No social account connected",
"error_code": "social_account_not_found"
}

Disconnect failure

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "Failed to disconnect social account",
"error_code": "disconnect_failed"
}

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string